      subroutine setprob
      implicit double precision (a-h,o-z)
      common /cqinit/ x1,x2,y1,y2
      common /cgrid/ igrid
c
c     # The parameters beta, x0, y0 are used in qinit.f
c     # igrid determines which grid mapping is used in mapc2p.f
c
      open(unit=7,file='setprob.data',status='old',form='formatted')

      read(7,*) x1
      read(7,*) x2
      read(7,*) y1
      read(7,*) y2
      read(7,*) igrid
      close(unit=7)

      return
      end
